Tetrarch Talloth:
Hierarch Mitraell is our leader who rules the entire clan. He is the Sorcerer who inherited the secrets of black magic from the powerful Dasparion. He also holds the ultimate magical power, due to a contract with Drevanul.
When war with the Elves of light was at its height, Human Mystics took sides with the Elves of light and cast strong sealing spells on Mitraell. Because of this, the morale of our forces was broken, and just as we were about to win the war, we had no choice but to retreat. Our Patriarch was a political leader, but also the central source of the black magic used by our race. Losing that power meant that our magic was greatly weakend.
We four Tetrarchs all served Mitraell in the past and are constantly looking for a way to undo his seal. The seal will be broken someday, let there be no doubt!
Return